Part Point/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pl |Name=Part Point |Name/pl=Część: Punkt |MenuLocation=Część → Utwórz geometrie pierwotne ... → Punkt |Workbenches=Część, OpenSCAD |SeeAlso=Utwórz geometrie pierwotne }}")
(Created page with "==Opis==")
Line 18: Line 18:
}}
}}


== Description ==
<span id="Description"></span>
==Opis==


A [[Image:Part_Point.svg|24px]] '''Part Point''' is a parametric point that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. Its coordinates are relative to the coordinate system defined by its {{PropertyData|Placement}} property.
A [[Image:Part_Point.svg|24px]] '''Part Point''' is a parametric point that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. Its coordinates are relative to the coordinate system defined by its {{PropertyData|Placement}} property.

Revision as of 06:24, 24 June 2023

Część: Punkt

Lokalizacja w menu
Część → Utwórz geometrie pierwotne ... → Punkt
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrie pierwotne

Opis

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DANEPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DANEX (Distance): The X coordinate of the point. The default is 0mm.
  • DANEY (Distance): The Y coordinate of the point. The default is 0mm.
  • DANEZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()